llseek(3)

NAME
llseek - reposition read/write file offset

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
[[deprecated]] loff_t llseek(int fd, loff_t offset, int whence);

DESCRIPTION
This is not the function you are interested in. Look at _llseek(2) or lseek(2).

HISTORY
When users complained about data loss caused by a miscompilation of e2fsck(8), glibc 2.1.3 added the link-time warning

"the `llseek' function may be dangerous; use `lseek64' instead."

Since glibc 2.28, this function symbol is no longer available to newly linked applications.

SEE ALSO
_llseek(2), lseek(2), lseek64(3)